---
sidebar_label: FrameAddStyleTagOptions
---

# FrameAddStyleTagOptions interface

**Signature:**

```typescript
export interface FrameAddStyleTagOptions
```

## Properties

| Property                                                   | Modifiers | Type   | Description                                                             |
| ---------------------------------------------------------- | --------- | ------ | ----------------------------------------------------------------------- |
| [content?](./puppeteer.frameaddstyletagoptions.content.md) |           | string | <i>(Optional)</i> Raw CSS content to be injected into the frame.        |
| [path?](./puppeteer.frameaddstyletagoptions.path.md)       |           | string | <i>(Optional)</i> The path to a CSS file to be injected into the frame. |
| [url?](./puppeteer.frameaddstyletagoptions.url.md)         |           | string | <i>(Optional)</i> the URL of the CSS file to be added.                  |
